=== debian/changelog ===
cupt (2.9.2) unstable; urgency=medium

  * cmakelists:
    - Temporarily added a compiler switch to use old C++11 ABI. To be removed
      when Boost libraries (which we link to) get rebuilt with new C++11 ABI.
    - Removed some obsolete/unneeded include directories.
  * debian:
    - control:
      - Added forgotten Conflicts between libcupt4-dev and libcupt3-dev.
        (Closes: #792847)
    - cupt.bash-completion:
      - Added to use dh_bash-completion instead of manual file copying.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 02 Aug 2015 18:44:22 +0300
