=== debian/control ===
Source: cupt
Section: admin
Priority: optional
Build-Depends:
# build system
  debhelper (>= 7.4.10),
  cmake (>= 2.6),
  chrpath,
  gettext,
  bash-completion,
# runtime libraries
  libboost-program-options-dev (>= 1.42),
  libboost-dev (>= 1.42),
  libreadline6-dev,
  libcurl4-gnutls-dev (>= 7.19.4),
  libgcrypt11-dev,
# documentation
  doxygen,
  txt2tags,
# test suite
  libipc-run3-perl
Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
Homepage: http://wiki.debian.org/Cupt
Standards-Version: 3.9.6
Vcs-Git: git://github.com/jackyf/cupt.git
Vcs-Browser: https://github.com/jackyf/cupt/tree/master

Package: cupt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcupt4-0 (= ${binary:Version}) | cupt (= ${binary:Version}) |
 libcupt4-0-downloadmethod-curl (= ${binary:Version}) |
 libcupt4-0-downloadmethod-wget (= ${binary:Version}),
 ${misc:Depends}
Description: flexible package manager -- debugging symbols
 This package contains gdb debugging symbols for the Cupt packages.

Package: libcupt4-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~)
Recommends: libcupt4-0-downloadmethod-curl | libcupt4-0-downloadmethod-wget, bzip2, gpgv, ed
Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
Description: flexible package manager -- runtime library
 This is a Cupt library implementing high-level package manager for Debian and
 derivatives. It's written with flexibility and reliability in mind and uses
 dpkg as the back-end.
 .
 Provides:
  - parsing and manipulating configuration info;
  - parsing indexes metadata info;
  - version strings comparison;
  - inspection of the binary and source package' versions;
  - parsing and querying info about installed packages;
  - parsing and working with relations and relation expressions;
  - download manager and downloaders for some schemes;
  - problem resolver;
  - worker for modifying system state.
 .
 See also description of 'cupt' package for more information.

Package: libcupt-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: libcupt2-0
Replaces: libcupt2-0
Description: flexible package manager -- runtime library (support files)
 This package provides architecture-independent support parts for Cupt library.
 .
 See also description of libcupt4-0 package.

Package: libcupt4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcupt4-0 (= ${binary:Version})
Conflicts: libcupt2-dev, libcupt3-dev
Suggests: libcupt4-doc
Description: flexible package manager -- development files
 This package provides headers for Cupt library.
 .
 See also description of libcupt4-0 package.

Package: libcupt4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: flexible package manager -- library documentation
 This package provides documentation for Cupt library.
 .
 See also description of libcupt4-0 package.

Package: cupt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-0 (>= ${binary:Version})
Breaks: daptup (<< 0.12.2~)
Suggests: sensible-utils, libreadline6
Description: flexible package manager -- console interface
 This package provides a console interface to Cupt library, which implements
 high-level package manager for Debian and derivatives. Cupt is written with
 flexibility and reliability in mind and uses dpkg as the back-end.
 .
 Cupt uses the same APT infrastructure, e.g. index files, deb cache archive
 files, configuration files. It understands some of widely used APT options.
 .
 Some features:
  - strict full-case resolver;
  - resolver reasons tracking;
  - command-line and 'cupt::*' option name checker;
  - case-sensitive search;
  - pinning by source package name;
  - pinning by package groups using shell-like patterns;
  - configurable 'depends' and 'rdepends' subcommands;
  - 'satisfy' subcommand;
  - support of LZMA-compressed indexes;
  - source versions synchronization;
  - 'shell' subcommand (to get command history, search etc. working, install
    the package 'libreadline6');
  - integration with debdelta (to get it, install the package 'debdelta');
  - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
 .
 Its interface is mostly like apt-get/aptitude console interface.
 .
 Cupt has built-in support for APT repositories using the file:// or copy://
 URL schemas. For access to remote repositories using HTTP or FTP, install a
 download method such as libcupt4-0-downloadmethod-curl.

Package: libcupt4-0-downloadmethod-curl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: flexible package manager -- libcurl download method
 This package provides http(s) and ftp download handlers for Cupt library
 using libcurl.
 .
 See also description of libcupt4-0 package.

Package: libcupt4-0-downloadmethod-wget
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wget
Description: flexible package manager -- wget download method
 This package provides http(s) and ftp download handlers for Cupt library
 using wget.
 .
 See also description of libcupt4-0 package.
