## cupt 2.9.2build1

=== debian/changelog ===
cupt (2.9.2build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 15:00:47 +0200
