## cupt 2.9.3

=== debian/changelog ===
cupt (2.9.3) unstable; urgency=medium

  * lib:
    - cache/package:
      - Disallow more than 1 installed version per package. This fixes data
        inconsistencies which may lead to crashes. (Closes: #794430)
    - system/state:
      - Parsing dpkg status file: error out on empty package names.
      - Parsing dpkg status file: require 'Package' tag first for every
        record.
      - Parsing dpkg status file: require 'Status' tag for every versioned
        record.
      - Parsing dpkg status file: do not stop reading when met with a newline
        instead of a first tag.
  * debian:
    - control:
      - Bumped the ABI suffix from 0 to 1 for the GCC5 C++11 ABI transition.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 25 Aug 2015 21:13:01 +0300
