## cupt 2.9.4

=== debian/changelog ===
cupt (2.9.4) unstable; urgency=medium

  * debian/rules:
    - Fixed calling CMake's install before trying to copy translation files to
      a target package (Closes: #806010).

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 14 Feb 2016 13:36:37 +0100
