=== debian/changelog ===
cupt (2.9.4ubuntu1) xenial; urgency=medium

  * Unset APT_CONFIG to fix testsuite under newer sbuild (Closes: #819605)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Apr 2016 16:10:08 -0600
