=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
   txt2tags,
 # test suite
   libipc-run3-perl
-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
 Standards-Version: 3.9.6
