## cupt 2.9.4ubuntu2

=== debian/changelog ===
cupt (2.9.4ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:37:54 +0000
