## cupt 2.9.5

=== debian/changelog ===
cupt (2.9.5) unstable; urgency=medium

  * test:
    - TestCupt:
      - Make sure APT_CONFIG environment variable is not pre-set. Fixes FTBFS
        if the building tool or environment uses APT_CONFIG for own purposes
        (like newer sbuild). Patch by Adam Conrad, thanks! (Closes: #819605).
  * debian
    - control:
      - Bumped Standards-Version to 3.9.8, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 Jun 2016 16:39:02 +0200
