=== debian/control ===
--- 
+++ 
@@ -19,11 +19,10 @@
   txt2tags,
 # test suite
   libipc-run3-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://github.com/jackyf/cupt.git
 Vcs-Browser: https://github.com/jackyf/cupt/tree/master
