## cupt 2.9.5build1

=== debian/changelog ===
cupt (2.9.5build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:15:45 +0000
