## cupt 2.9.8

=== debian/changelog ===
cupt (2.9.8) unstable; urgency=high

  * lib:
    - cache:
      - Verifying repository signatures: ported to gpgv v2.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 04 Oct 2016 08:40:30 +0200

cupt (2.9.7) unstable; urgency=medium

  * lib:
    - cache/relation:
      - ArchitecturedRelation: don't choke on build profiles.
  * debian:
    - cupt.dirs:
      - Don't create empty and obsolete /etc/bash_completion.d/ directory.
      - Don't create /usr/bin, it's created automatically by install targets.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 02 Oct 2016 16:59:13 +0200

cupt (2.9.6) unstable; urgency=medium

  * cmakelists:
    - Detect a GCC6 lambda capture optimisation bug (#838438), and lower the
      optimization level if found. This avoids miscompilation on armel/armhf.
      (Closes: #836588)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 23 Sep 2016 10:48:07 +0200
