=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Package: libcupt4-1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
-Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~)
+Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~), gpgv (<< 2~)
 Recommends: libcupt4-1-downloadmethod-curl | libcupt4-1-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: flexible package manager -- runtime library
