## cupt 2.9.8build1

=== debian/changelog ===
cupt (2.9.8build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:15:11 +0000
