=== debian/changelog ===
cupt (2.9.9) unstable; urgency=medium

  * console:
    - 'shell': switched to libreadline7 from libreadline6. Patch by
      Sven Joachim. (Closes: #845358)
  * lib:
    - cache:
      - Verifying repository signatures: ignore unknown status lines from
        gpgv.
      - Fixed pre-parsing versioned provides when all provides for a particular
        package are versioned.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 27 Dec 2016 20:12:27 +0100
