## cupt 2.9.10

=== debian/changelog ===
cupt (2.9.10) unstable; urgency=medium

  * lib:
    - Added missing includes for GCC7. (Closes: #853362)
  * debian/control:
    - Depend on libgcrypt20-dev instead of libgcrypt11-dev (which became
      a transitional package (Closes: #864099)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 10 Sep 2017 16:35:01 +0200
