## cupt 2.9.10build1

=== debian/changelog ===
cupt (2.9.10build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:12:52 +0000
