## cupt 2.10.0

=== doc/examples/show-upgradeable/CMakeLists.txt ===
add_executable(show-upgradeable show-upgradeable.cpp)
target_link_libraries(show-upgradeable libcupt)
