=== debian/changelog ===
cupt (2.10.0) unstable; urgency=low

  * console:
    - New positional action override option '--reinstall'.
    - Action preview prompt: removed printing "(a)" suffix for removed/purged
      automatically installed packages. Instead, introduced all-action
      package indicators: "{m}" for manually installed packages, "{a}" for
      automatically installed ones. Those 2 affect only non-color output mode.
      Only "{m}" is enabled by default.
    - Action preview prompt: fixed an internal error on showing versions for
      to-be-purged removed packages.
    - Action preview prompt: warn (by default) when removing important
      packages (the ones marked as 'Important: yes').
    - Action preview prompt: fixed showing broken installed packages as to
      be reinstalled if an user prevented their automatic
      removal/reinstallation.
    - Package action modifier suffixes '+' and '-' are now deprecated.
      They still work (for now) but produce a warning when used.
    - 'shell':
      - Don't rebuild the cache when the last action required less cache
        parts than the current one, but all needed parts were loaded before.
      - Don't rebuild the cache if simulation is on.
      - Replaced argument parsing algorithm from a shell invocation to a
        simple word parser (simple one-level shell quotes still allowed).
      - 'version' and 'help' commands now work also here.
    - 'dist-upgrade':
      - Do not apply positional arguments on the first stage (when upgrading
        package management tools).
    - 'reinstall':
      - Make non-must reinstall requests non-fatal even if there are no
        reinstallation candidates.
      - Also consider candidates having same version but different hash sums.
    - 'functional selectors':
      - New functions 'build-depends-arch' and 'build-conflicts-arch'.
      - New functions 'reverse-build-depends-arch' and
        'reverse-build-conflicts-arch.
      - New function 'important';
  * lib:
    - config:
      - New option 'cupt::console::warnings::removal-of-essential'.
      - New option 'cupt::console::warnings::removal-of-important'.
      - Don't ask dpkg for architectures if the 'apt::architecture' option
        was already set via configuration file.
      - New method 'getConfigurationPartPaths'.
      - Enable colored output on terminals by default.
      - New options in 'cupt::console::actions-preview' family:
        'package-indicators::manually-installed' and
        'package-indicators::automatically-installed'.
    - cache:
      - Verifying repository signatures: use APT keyrings directly, now that
        they're finally world-readable.
      - Verifying repository signatures: display better error message when
        a key has expired.
      - Verifying repository signatures: display 'public key not found'
        warning message also if there are no available keyrings.
      - Verifying repository signatures: treat unaccessible detached
        signatures as missing (results in better diagnostics).
      - Removed the 'copy the keyring' hack, introduced in 2.2.2.
      - Removed support of localized descriptions without a description hash
        present in the original index (even oldstable has them).
      - Parsing release files: fixed displaying 'no release file present'
        warnings if more than one release file is missing.
      - Support for 'check-valid-until=no' option in sources.list.
      - 'getSatisfyingVersions': provisional single-arch support for ':native'
        suffixes.
    - cache/binaryversion:
      - [ABI break] New member 'important'.
    - cache/sourceversion:
      - [ABI break] New member 'buildProfiles'.
      - [ABI break] 'RelationTypes': new values 'BuildDependsArch' and
        'BuildConflictsArch'.
    - system/worker:
      - 'updateReleaseAndIndexData': fixed removing partial uncompressed file
        if uncompressing of a temporary file failed.
      - 'updateReleaseAndIndexData': use new '*-Download' sections in
        diff indexes to check size and hash sums of individual diff earlier.
      - 'updateReleaseAndIndexData': dropped the obsolete way of downloading
        translation files via localication index (even oldstable has them in
        Release files).
      - 'changeSystem': do not require anymore that 'dpkg' binary package is
        installed, it's enough that dpkg binary is available.
  * doc:
    - reference:
      - Fixed Doxygen warnings about obsolete Doxyfile tags.
  * debian:
    - control:
      - Bumped the ABI suffix from 1 to 2.
      - Added build-dependency on locales-all (for locale-specific tests).
      - Added build-dependency on liblist-moreutils-perl (for tests).
      - Added build-dependency on libtest-dir-perl (for tests).
      - Added build-dependency on libexpect-simple-perl (for shell tests).
      - Added build-dependency on gpgv, gnupg, ed (for tests).
      - Removed 'breaks' of very old versions of daptup and debdelta.
      - Moved 'libcupt4-2' to sections 'libs', as lintian suggests.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 Nov 2017 12:46:03 +0100
