=== debian/control ===
--- 
+++ 
@@ -18,7 +18,14 @@
   doxygen,
   txt2tags,
 # test suite
-  libipc-run3-perl
+  gpgv (>= 2),
+  gnupg (>= 2),
+  ed,
+  libipc-run3-perl,
+  liblist-moreutils-perl,
+  libtest-dir-perl,
+  libexpect-simple-perl,
+  locales-all
 Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
@@ -30,18 +37,19 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcupt4-1 (= ${binary:Version}) | cupt (= ${binary:Version}) |
- libcupt4-1-downloadmethod-curl (= ${binary:Version}) |
- libcupt4-1-downloadmethod-wget (= ${binary:Version}),
+Depends: libcupt4-2 (= ${binary:Version}) | cupt (= ${binary:Version}) |
+ libcupt4-2-downloadmethod-curl (= ${binary:Version}) |
+ libcupt4-2-downloadmethod-wget (= ${binary:Version}),
  ${misc:Depends}
 Description: flexible package manager -- debugging symbols
  This package contains gdb debugging symbols for the Cupt packages.
 
-Package: libcupt4-1
+Package: libcupt4-2
+Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
-Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~), gpgv (<< 2~)
-Recommends: libcupt4-1-downloadmethod-curl | libcupt4-1-downloadmethod-wget, bzip2, gpgv, ed
+Breaks: dpkg (<< 1.17.11~), gpgv (<< 2~)
+Recommends: libcupt4-2-downloadmethod-curl | libcupt4-2-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: flexible package manager -- runtime library
  This is a Cupt library implementing high-level package manager for Debian and
@@ -69,18 +77,18 @@
 Description: flexible package manager -- runtime library (support files)
  This package provides architecture-independent support parts for Cupt library.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
 Package: libcupt4-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcupt4-1 (= ${binary:Version})
+Depends: ${misc:Depends}, libcupt4-2 (= ${binary:Version})
 Conflicts: libcupt2-dev, libcupt3-dev
 Suggests: libcupt4-doc
 Description: flexible package manager -- development files
  This package provides headers for Cupt library.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
 Package: libcupt4-doc
 Section: doc
@@ -89,12 +97,11 @@
 Description: flexible package manager -- library documentation
  This package provides documentation for Cupt library.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
 Package: cupt
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-1 (>= ${binary:Version})
-Breaks: daptup (<< 0.12.2~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-2 (>= ${binary:Version})
 Suggests: sensible-utils, libreadline7
 Description: flexible package manager -- console interface
  This package provides a console interface to Cupt library, which implements
@@ -124,22 +131,22 @@
  .
  Cupt has built-in support for APT repositories using the file:// or copy://
  URL schemas. For access to remote repositories using HTTP or FTP, install a
- download method such as libcupt4-1-downloadmethod-curl.
+ download method such as libcupt4-2-downloadmethod-curl.
 
-Package: libcupt4-1-downloadmethod-curl
+Package: libcupt4-2-downloadmethod-curl
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: flexible package manager -- libcurl download method
  This package provides http(s) and ftp download handlers for Cupt library
  using libcurl.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
-Package: libcupt4-1-downloadmethod-wget
+Package: libcupt4-2-downloadmethod-wget
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, wget
 Description: flexible package manager -- wget download method
  This package provides http(s) and ftp download handlers for Cupt library
  using wget.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
