=== debian/changelog ===
cupt (2.10.1) unstable; urgency=medium

  * test:
    - t/manage/worker/packages/hooks/pre-install-pkgs/feeding-input.t:
      Increased hang-check timeout from 30s to 90s, giving more time to
      HPPA buildds. Thanks to John David Anglin for the investigation and
      Aaron M. Ucko for the report. (Closes: #882238)
  * lib:
    - system/resolver:
      - New class 'ImplicitReason'.
    - system/resolvers/native:
      - Add an appropriate reason for packages which will be implicitly
        auto-configured.
  * cmakelists:
    - Pass '-Wno-format-security' after environment-provided compile flags.
  * debian:
    - control:
      - Maintainer address is again myself instead of Alioth mailing list.
      - Bumped Standards-Version to 4.1.3, no changes needed.
      - Priority for 'cupt-dbg' is changed to 'optional', as suggested by
        lintian.
    - compat:
      - Bumped to 9.
    - source/format:
      - Introduced, with "3.0 (native)".
    - rules:
      - Pass '--parallel' after dh sequence name.
      - Use one-letter name for the build directory, since gpg-agent (used
        in the test suite) has a limit for socket path length.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 28 Apr 2018 11:21:13 +0200
