=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends:
 # build system
-  debhelper (>= 7.4.10),
+  debhelper (>= 9),
   cmake (>= 2.6),
   chrpath,
   gettext,
@@ -26,16 +26,15 @@
   libtest-dir-perl,
   libexpect-simple-perl,
   locales-all
-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
-Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
+Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: git://github.com/jackyf/cupt.git
 Vcs-Browser: https://github.com/jackyf/cupt/tree/master
 
 Package: cupt-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Depends: libcupt4-2 (= ${binary:Version}) | cupt (= ${binary:Version}) |
  libcupt4-2-downloadmethod-curl (= ${binary:Version}) |
