## cupt 2.10.1build1

=== debian/changelog ===
cupt (2.10.1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:54:46 +0000
