## cupt 2.10.2

=== debian/changelog ===
cupt (2.10.2) unstable; urgency=medium

  * lib:
    - cache:
      - Verifying repository signatures: fixed detecting 'public key not
        found' situations with recent versions of gpgv, which provide more
        than 6 fields for 'ERRSIG' status messages. Thanks to Santiago Vila
        for the report. (Closes: #902457)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 28 Jul 2018 11:56:13 +0200
