## cupt 2.10.3+nmu1

=== debian/changelog ===
cupt (2.10.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:08:13 +0800
