## cupt 2.10.4

=== debian/changelog ===
cupt (2.10.4) unstable; urgency=low

  * console:
    - Auto-detect color support for more variants of 'xterm'-terminals.
  * lib:
    - cache:
      - Parsing sources.list records: fix parsing option values containing
        commas.
      - Parsing sources.list records: fix parsing options where there is
        no whitespace between '[' and the option key.
  * cmakelists:
    - Remove explicit setting of the policy CMP0037. Presumably, since
      CMake 3.11 the target 'test' is no longer auto-reserved.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 10 Nov 2019 10:53:34 +0100
