## cupt 2.10.4build1

=== debian/changelog ===
cupt (2.10.4build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:11:56 +0000
