=== debian/changelog ===
cupt (2.10.4ubuntu1) focal; urgency=medium

  * Fix Boost version comparison for new cmake syntax.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Feb 2020 08:05:55 +0000
