=== debian/control ===
--- 
+++ 
@@ -26,10 +26,11 @@
   libtest-dir-perl,
   libexpect-simple-perl,
   locales-all
-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
-Homepage: http://wiki.debian.org/Cupt
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Homepage: https://wiki.debian.org/Cupt
 Standards-Version: 4.1.3
-Vcs-Git: git://github.com/jackyf/cupt.git
+Vcs-Git: https://github.com/jackyf/cupt.git
 Vcs-Browser: https://github.com/jackyf/cupt/tree/master
 
 Package: cupt-dbg
