## cupt 2.10.4%2Bnmu1build1

=== test/CMakeLists.txt ===
set(SDIR ${CMAKE_CURRENT_SOURCE_DIR})
add_custom_target(
	test
	COMMAND ${SDIR}/run.sh ${SDIR} $<TARGET_FILE:cupt.bin>
)
