=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cupt
 Section: admin
 Priority: optional
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
 # build system
   debhelper (>= 9),
   cmake (>= 2.6),
@@ -37,18 +37,20 @@
 Section: debug
 Priority: optional
 Architecture: any
-Depends: libcupt4-2 (= ${binary:Version}) | cupt (= ${binary:Version}) |
+Depends: libcupt4-2t64 (= ${binary:Version}) | cupt (= ${binary:Version}) |
  libcupt4-2-downloadmethod-curl (= ${binary:Version}) |
  libcupt4-2-downloadmethod-wget (= ${binary:Version}),
  ${misc:Depends}
 Description: flexible package manager -- debugging symbols
  This package contains gdb debugging symbols for the Cupt packages.
 
-Package: libcupt4-2
+Package: libcupt4-2t64
+Provides: ${t64:Provides}
+Replaces: libcupt4-2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
-Breaks: dpkg (<< 1.17.11~), gpgv (<< 2~)
+Breaks: libcupt4-2 (<< ${source:Version}), dpkg (<< 1.17.11~), gpgv (<< 2~)
 Recommends: libcupt4-2-downloadmethod-curl | libcupt4-2-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: flexible package manager -- runtime library
@@ -77,18 +79,18 @@
 Description: flexible package manager -- runtime library (support files)
  This package provides architecture-independent support parts for Cupt library.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: libcupt4-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcupt4-2 (= ${binary:Version})
+Depends: ${misc:Depends}, libcupt4-2t64 (= ${binary:Version})
 Conflicts: libcupt2-dev, libcupt3-dev
 Suggests: libcupt4-doc
 Description: flexible package manager -- development files
  This package provides headers for Cupt library.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: libcupt4-doc
 Section: doc
@@ -97,11 +99,11 @@
 Description: flexible package manager -- library documentation
  This package provides documentation for Cupt library.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: cupt
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-2 (>= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-2t64 (>= ${binary:Version})
 Suggests: sensible-utils, libreadline7
 Description: flexible package manager -- console interface
  This package provides a console interface to Cupt library, which implements
@@ -140,7 +142,7 @@
  This package provides http(s) and ftp download handlers for Cupt library
  using libcurl.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: libcupt4-2-downloadmethod-wget
 Architecture: any
@@ -149,4 +151,4 @@
  This package provides http(s) and ftp download handlers for Cupt library
  using wget.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
